Subject: Re: bug#5422: syntax highlighting bug

From: Glenn Morris <[email-masked]>
Date: Mon, 03 Oct 2011 16:59:17 -0400

Bartosz Lew wrote:

> This is just to report on some minor C++ syntax highlighting problem
> in emacs.
>
> when I write:
>
> 	if (a < b->c())  { do this; } else { do that; }
>
> two two things go wrong:
> 1) parentheses matching doesn't work correctly 
> 	emacs matches the closing bracket of the if condition with the
> "<" - "smaller > than" sign in the if condition.
>
> 2) the automatic positioning of any code written below gets confused due to 
> this parentheses matching problem.
>
> I use:
>
>  GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.6)
>  of 2009-09-29 on x86-7.fedora.phx.redhat.com

I am unable to reproduce this in any version of Emacs, including 23.1.
If you still see the problem in the latest release, please send a
complete example starting from emacs -Q.

(There seem to have been some fixes in this area, eg
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4847 )